(function() {
    'use strict';

    // generic UI For listing files
    angular.module('ti_common').directive('ticAppName', ticAppName);

    function ticAppName() {
        return {
            restrict: 'E',
            templateUrl: 'ti_common/nav/nw/appName.html',
            scope: {},
            controller: ticAppNameCtrl,
            controllerAs: 'vm',
            bindToController: true
        };
    }

    ticAppNameCtrl.$inject = ['navSrv'];
    function ticAppNameCtrl(navSrv) {
        let vm = this;
        vm.navSrv = navSrv;
    }
})();